#import  <appkit/appkit.h>
#import  "common.h"


@interface ColorMap:Object

- init;
- allocFullColor;
- allocPalColor;
- free;
- (int)getAllColor:(unsigned char **)map limit:(int)limit alpha:(BOOL *)alpha;
- (int)getAllColor:(unsigned char **)map limit:(int)limit;
- (int)regPalColorWithAlpha:(BOOL)alpha;
- init_regColor;
- (int)regColorToMap: (int)red : (int)green : (int)blue;
- (paltype *)getNormalmap:(int *)cnum;
- (paltype *)getReducedMap:(int *)cnum alpha:(BOOL)alpha;
- (paltype *)getPalette;

@end
