
#import <appkit/appkit.h>
#import "DirList.h"

@interface ADController:Object
{
	id	nextFile;
	id	panel;
	id	pauseButton;
	id	playButton;
	id	stepButton;
	id	quitButton;
	id	slider;
	id	sliderMax;
	id	slave;
	id	lButton;
	id	rButton;
	int	fileNum;
	int	currentNum;
	int	status;
	BOOL	waiting;
	DirList *dirlist;
}

- init:sender dir:(const char *)dir with:(DirList *)list;
- free;
- pausePush:sender;
- playPush:sender;
- stepPush:sender;
- quitPush:sender;
- sliderChange:sender;
- sliderDown:sender;
- sliderUp:sender;
- (BOOL) scanFixPosition;

/* comm. slave */
- (const char *)nextFilename;
- continueLoop:(BOOL)cont;

@end
